
QGIS Application - Bug report #17126

QGIS 2.18.12 dxf export generates one layer per feature

2017-09-12 12:47 PM - Jochen Schwarze

Status: Closed

Priority: Normal

Assignee:

Category: DXF export

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25025

Description

QGIS 2.18.12 dxf export generates one layer per feature (cp. screenshot). In QGIS 2.14. we had one dxf layer per QGIS layer, not sure if

this behaviour is a bug or caused by users mistake.

Related issues:

Related to QGIS Application - Bug report # 16762: DXF Export... does not work... Closed 2017-06-27

Duplicates QGIS Application - Bug report # 16319: DXF Export generates many n... Closed 2017-03-08

Associated revisions

Revision 15bc5ed0 - 2017-09-18 05:20 PM - Jürgen Fischer

dxf export: fix layer assignment (fixes #17126; followup 92091c536b)

Revision c81adf8f - 2017-09-18 05:20 PM - Jürgen Fischer

dxf export: fix layer assignment (fixes #17126; followup 6292c6ae1)

History

#1 - 2017-09-12 12:50 PM - Giovanni Manghi

- Affected QGIS version set to 2.18.12

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Category changed from Any to DXF export

- Easy fix? set to No

- Crashes QGIS or corrupts data set to No

- Regression? set to No

#2 - 2017-09-12 12:53 PM - Jochen Schwarze

Should have set "Regression?" to 'yes' because worked fine in previous version.

#3 - 2017-09-12 12:55 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#4 - 2017-09-12 03:17 PM - Jürgen Fischer

Which field did you select for the layer name?
#5 - 2017-09-12 03:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2017-09-12 03:18 PM - Jürgen Fischer

- Priority changed from High to Normal

#7 - 2017-09-12 03:22 PM - Giovanni Manghi

Hi Jurgen, I have no time to test this today, not a regression?

#8 - 2017-09-12 03:40 PM - Jürgen Fischer

Giovanni Manghi wrote:

Hi Jurgen, I have no time to test this today, not a regression?

I suspect that the gml_id was selected as attribute definining the dxf layer name (instead of keeping the default - which is the qgis layer name)

#9 - 2017-09-12 04:06 PM - Giovanni Manghi

- Regression? changed from Yes to No

#10 - 2017-09-13 12:59 PM - Jochen Schwarze

- File qgis_dxf_export_21812_config_a.jpg added

- File qgis_dxf_export_21812_config_a_res1.jpg added

- File qgis_dxf_export_21812_config_a_res2.jpg added

- File qgis_dxf_export_21812_config_b.jpg added

- File qgis_dxf_export_21812_config_b_res.jpg added

- File qgis_dxf_export_21812_workaround.jpg added

- File qgis_dxf_export_21812_workaround_config_res.jpg added

- File qgis_dxf_export_21812_workaround_config.jpg added

No, definitly the defaults where kept for the export process.

But having had a closer look at the results, I saw that the issue was not described exact enaugh. The default configuration generates one layer per feature

and in addition one layer named after the QGIS layer name containing all features (Case A, cp. screenshots).

This behaviour can be observed for any layers, and the (unique(?)) attribute values used as layer names seem to be chosen accidently (e.g. for layer

'Adressen gesamt' attribute "hausnummer", cp. screenshots)

Selecting an attribute containing the layer name was tested also (here: attribute "gemarkungsnummer"), wich generates one layer for each

"gemarkungsnummer", BUT NO layer named after the QGIS layer name (Case B, cp. screenshots).

This observation leads me to a simple workaround for 2.18.x: One might create a virtual field "layer" wich contains the 'layer name' (here: 'Flurstuecke

gesamt') as the one and only attribute value and select this attribute for the layer name. This would be ok for one or at the most very few layers, but

becomes painful for, say, ten or more.

Since this behaviour cannot be observed in 2.14.x, a Regression = 'Ja' might be justifyable.
#11 - 2017-09-18 05:21 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|15bc5ed0c34276b350b1af1ea8ca02b5c37cd806.

#12 - 2017-09-28 09:33 AM - Jürgen Fischer

- Related to Bug report #16762: DXF Export... does not work as in pre 2.18.9 added

#13 - 2017-11-16 08:35 AM - Jürgen Fischer

- Duplicates Bug report #16319: DXF Export generates many numbered layers (1 layer for each feature) added
